%global debug_package %{nil}

Name:           libfprint-tod-broadcom
Version:        5.12.018
Release:        1%{?dist}
Summary:        Toolkit for fingerprint scanner (TOD version) Broadcom firmware
License:        Proprietary
URL:            https://git.launchpad.net/~oem-solutions-engineers/libfprint-2-tod1-broadcom/+git/libfprint-2-tod1-broadcom/
Source0:        libfprint-2-tod1-broadcom-%{version}.tgz
Source1:	libfprint-tod-broadcom-update.py
ExcludeArch:    s390 s390x
Requires:	libfprint-tod fprintd

%description
Broadcom firmware for libfprint-tod.
Firmwares and shared libraries for Broadcom fingerprint TOD driver

%prep
%setup -c libfprint-tod-broadcom

%build

%install
mkdir -vp %{buildroot}/%{_udevrulesdir}/
mkdir -vp %{buildroot}/%{_bindir}
mkdir -vp %{buildroot}%{_libdir}/libfprint-2/tod-1
mkdir -vp %{buildroot}/var/lib/fprint/fw
cp lib/udev/rules.d/*.rules %{buildroot}/%{_udevrulesdir}/
cp usr/lib/x86_64-linux-gnu/libfprint-2/tod-1/*.so %{buildroot}%{_libdir}/libfprint-2/tod-1/
rsync -avP var/ %{buildroot}/var/
cp %{SOURCE1} %{buildroot}/%{_bindir}/

%ldconfig_scriptlets

%post
%{_bindir}/libfprint-tod-broadcom-update.py

%files
%license LICENCE.broadcom
%{_udevrulesdir}/*.rules
%{_bindir}/*
%{_libdir}/libfprint-2/tod-1/*.so
/var/lib/fprint/fw/*

%changelog
* Fri Dec  2 2022 Levente Farkas <lfarkas@lfarkas.org>
- Initial Release
